> For the complete documentation index, see [llms.txt](https://docs.lootlocker.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lootlocker.com/the-basics/godot-quick-start/configure-the-sdk.md).

# Configure the SDK

Now that you have [installed the SDK](/the-basics/godot-quick-start/install-the-sdk.md) into your Godot project, you need to connect the Godot project to your game in the [LootLocker Management Console](https://console.lootlocker.com/). The following steps walk you through configuring the LootLocker Godot SDK to work with a game that has already been created in the LootLocker Management Console. If you haven’t created a game or account yet, please visit our [account creation](https://lootlocker.com/sign-up) page.

#### Configure via LootLockerSettings.cfg

Log on to the [LootLocker management console](https://console.lootlocker.com/login) and find your Game Settings.

* Find your Game Key in the [API section of the settings](https://console.lootlocker.com/settings/api-keys)
* Open or create the file `res://LootLockerSettings.cfg`. The file follows the ini format and must have the following settings:

  * First, the header `[LootLockerSettings]`
  * Then `api_key="<your api key from console.lootlocker.com>"`
  * Then `domain_key="<your domain key from console.lootlocker.com>"`
  * And finally `game_version="<a semver representation of the current game version>"`
  * Once you've done this, you will have a file that looks something like this:

  ```ini
  [LootLockerSettings]
  ; You can get your api key from https://console.lootlocker.com/settings/api-keys
  api_key="prod_1c52468fc6e8620c955e3b6c303ea8cc"
  ; You can get your domain key from https://console.lootlocker.com/settings/api-keys
  domain_key="1g0glch3"
  ; The game version must follow a semver pattern. Read more at https://semver.org/
  game_version="1.2.1.4"
  ```

{% hint style="success" %}
You have now configured the LootLocker SDK. In the next section you will learn how to [make your first API calls.](/the-basics/godot-quick-start/make-your-first-api-call.md)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lootlocker.com/the-basics/godot-quick-start/configure-the-sdk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
